GNU bug report logs - #38528
Add test for `guix pull'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pierre Neidhardt <mail@HIDDEN>; dated Sun, 8 Dec 2019 15:40:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 13 Dec 2019 12:27:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 13 07:27:28 2019
Received: from localhost ([127.0.0.1]:33133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifk2a-0004Ku-0L
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2019 07:27:28 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:35577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ifk2Y-0004Kk-DK
 for 38528 <at> debbugs.gnu.org; Fri, 13 Dec 2019 07:27:26 -0500
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id A682B10000A;
 Fri, 13 Dec 2019 12:27:24 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
In-Reply-To: <CAJ3okZ2s9o8z+9YN1jbxrw8Ua7edci0C83xtN7FuR8dFNcRuXg@HIDDEN>
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
 <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
 <875zikd0ds.fsf@HIDDEN>
 <CAJ3okZ2s9o8z+9YN1jbxrw8Ua7edci0C83xtN7FuR8dFNcRuXg@HIDDEN>
Date: Fri, 13 Dec 2019 13:27:24 +0100
Message-ID: <87wob0bec3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38528
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

guix commit: 9fcf282.

> Is it a pushed commit? Or a local one?

Yes, it is pushed of course! :)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl3zg6wACgkQm9z0l6S7
zH83SQgAh0ACbFe4Hiuzd9T11eMImRKD+69kbiXuD9ehfU57JU2OpcMUFa4JaETa
0cWDyYFzC6bks9+D6Ynd8QLXuAF0WZB1qcqCdCMdZ/gU3zODsW1vgRCIyNaAqRh+
zxyey4qCEwsWxPLoWWeT9WGosbKrsklEuu4cPZXV4HOkaiBVhDOcT55zoxyFp3a4
ITJv/dzp2XxYsDzr6BHQaLq//ZcV+myd4AtSoYccyutI6h7agJOIzCA3M6yktFYC
gtRhwQfqlKOqsy78IjkgcJvT+VSKvQVTPOiy3SINgMtCJtF2g4X59WBrzuyEu7+J
5PRvTkzHVKGjSzwvsnv3WuRPE2jN+w==
=npR5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 13 Dec 2019 12:19:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 13 07:19:47 2019
Received: from localhost ([127.0.0.1]:33124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifjv9-00047D-0W
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2019 07:19:47 -0500
Received: from mail-qk1-f182.google.com ([209.85.222.182]:42677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ifjv7-00046y-Ay
 for 38528 <at> debbugs.gnu.org; Fri, 13 Dec 2019 07:19:46 -0500
Received: by mail-qk1-f182.google.com with SMTP id z14so1489522qkg.9
 for <38528 <at> debbugs.gnu.org>; Fri, 13 Dec 2019 04:19:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9VUTBfwx8KmD/7LtXIhQK6x2lA2Zi0P5bhAP+m6RtuE=;
 b=acPAVApKy7N6Afdvj7wp0EAVSh+W8TMnaRpgwbMaBApjvLTVsXZHTHTRMFcKQC4ZWR
 TVQUzYlUaqOLCXC09KJv+wFG6ycPhd74M3EIaUU0EbRANJ8QrZC5mr0LfdT3Ue7opexD
 o5sBCQQPP6gj83qWwqgqKu0Udwr/1RLHMnA9FsKLTB33i+3XMbO1i46zM8vnkYxAc1Bn
 cNrA6XIv4Y2lyyYvCJFUxi5NkF9e/IYjzhk3zHO1cSVCUIBht7YGNaj/KCvEmVy+TYoK
 66Mhfgo/WAkwgMm5iCKAxhbCwygcpP9CvynpnI+4fycZxxeyT2ppDH1kuydn2S8mAAKP
 UWvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9VUTBfwx8KmD/7LtXIhQK6x2lA2Zi0P5bhAP+m6RtuE=;
 b=GWrbNpi/bZck0Zlv/ea+veA6b2YSL1hHpSEDdLOG0UbF6mWh3amDHiwf03Pcxh17Vd
 JNJufeECJt4QTaXCiaxg4CSsmPG8NbXAbfwgYpBm80fKZimorkmkst4zn3k65MGT/OHD
 ztnyHsMYhr/AP4vHPG69qHMBwnH3Y9BLF+yygX+JT1EUbP/HrlR5U2RaHwOsekw9Z7a8
 DYLIcfJIju4USuYdOZTPCKh8vVTXtGhMWNgrj6Dc2j4VIF8kLSx7Rc6y7i7brrlZarJP
 dAlHJyH1d+bqbKQnZaZAiBlSQn+8T7c/bz00PhEAeUZEUrH40K5EmtA6w6dWYsAM5unB
 8UyA==
X-Gm-Message-State: APjAAAXtpPQGCHeXAFNMbvFtbK2vK1ScH19TfKjr9SiqXxbxTXxx2eaC
 0QxNtcpD36a9FJrOUbtiIBduyUXekpqeohINRcs=
X-Google-Smtp-Source: APXvYqy6StfiOIf5w84G9rmUB+ZGLrIhbkN44sZ9uOZXuBjBAnc1eEsVaxaNrl3oRFh0Z6APYbcL2lWeoGXx5IdTpgg=
X-Received: by 2002:a37:684a:: with SMTP id d71mr12015793qkc.201.1576239579912; 
 Fri, 13 Dec 2019 04:19:39 -0800 (PST)
MIME-Version: 1.0
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
 <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
 <875zikd0ds.fsf@HIDDEN>
 <CAJ3okZ2s9o8z+9YN1jbxrw8Ua7edci0C83xtN7FuR8dFNcRuXg@HIDDEN>
In-Reply-To: <CAJ3okZ2s9o8z+9YN1jbxrw8Ua7edci0C83xtN7FuR8dFNcRuXg@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 13 Dec 2019 13:19:28 +0100
Message-ID: <CAJ3okZ3q+SjskoBjuUWqbH23Gv8X0JNH+fqOZ=uiKZapQv9Fgg@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38528
Cc: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 13 Dec 2019 at 12:20, zimoun <zimon.toutoune@HIDDEN> wrote:

> On Fri, 13 Dec 2019 at 10:45, Pierre Neidhardt <mail@HIDDEN> wrote:
>
> > I tried it on two recent commits
> > (including eb8aad6a23442cf7b23e0df88b89b4cd030dfbf5) and I get
>
> Is it a pushed commit? Or a local one?

My bad. I find the commit. :-)
But I do not experiment the issue you described.
No idea...

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 13 Dec 2019 11:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 13 06:20:26 2019
Received: from localhost ([127.0.0.1]:33087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifizi-0002UD-LW
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2019 06:20:26 -0500
Received: from mail-qk1-f174.google.com ([209.85.222.174]:34728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ifizg-0002U0-Ej
 for 38528 <at> debbugs.gnu.org; Fri, 13 Dec 2019 06:20:24 -0500
Received: by mail-qk1-f174.google.com with SMTP id d202so1764449qkb.1
 for <38528 <at> debbugs.gnu.org>; Fri, 13 Dec 2019 03:20:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=tFCpbU0cMpV/FOS9wqwD5AVAJW/LAiqJZUJusBLek70=;
 b=oTPszqjAyfaf/4M1i6Pquw54+2HGU6638TqJKtzvxY+Goer47J0AQA5EbvUcvOjHl7
 kgL9w+pFZs0aYR+Xf16kDjuh1Ogl3VC+1Ao+SrTuJy1K9EFY7hBRE8PQb6pcEXHZWwA3
 BMAj2T1W9DaT26Qm1lTvcKa0jWwfatu2S21NVtQdGydD5rWhVHotD6utL64YaxTLFoRJ
 KAxG/OQDNA202RdiJ6nu4OF6lYIuZakwoHOCbJTs0YjVSl0VzaOgO3pC1GxwWbqN6nDr
 bWY6CKED2m6CahN2n403T7wFYuxrRBbQNCrt4+G0R9dSA6Ld5xXYo2kfb5ZX3RAszonD
 q9lg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=tFCpbU0cMpV/FOS9wqwD5AVAJW/LAiqJZUJusBLek70=;
 b=pPXmWamOSdyBIkIKxQNtjL6/7iwtTXqDpABy+4T0UhCe4H7nqUTbJ5H2KPgWNh8mAB
 P6G43rby0vj4nK14VnJ7anmv5fuUAP3Dl1rRE5SrBMNMbfiKqMUeZlrVkMeUaKLXAeUL
 OXm40xHlZRi8dvYzWWpY7EiVewxTxcUpZdYWNeLSClsIPavQvZD3yA8IenxIZrgNirMf
 zD7MmuJQNud50s8DbtgxatKlKwPPZXpmCgyKfGbAnzAohV3LYdy+nquBOOXeCFcVe8wd
 nObEMhWe+q/mV2I8Dpa6Wra4Dr++gg8RhVfX8QdN9oWe2zX02igRMiwEdB/Tx//bSKh6
 bwcA==
X-Gm-Message-State: APjAAAXyUnrlUXUsKIsQD6heFc+XR1C6s3MN8G96XPjp83D3wE/Vj6MB
 Umx9aFI8sCxwGzSxojMdTXpUYrlm6IPbH1XbcIk=
X-Google-Smtp-Source: APXvYqyUDpsOEI6WAiI6INYRUsxHaIQG4FfZtL/JoiYhJjZV8ybf5dwUfkkd/WgHGtKEG352ZWn9oTtRUYkjTOni9gU=
X-Received: by 2002:a37:684a:: with SMTP id d71mr11807334qkc.201.1576236018953; 
 Fri, 13 Dec 2019 03:20:18 -0800 (PST)
MIME-Version: 1.0
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
 <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
 <875zikd0ds.fsf@HIDDEN>
In-Reply-To: <875zikd0ds.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 13 Dec 2019 12:20:07 +0100
Message-ID: <CAJ3okZ2s9o8z+9YN1jbxrw8Ua7edci0C83xtN7FuR8dFNcRuXg@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38528
Cc: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Pierre,

On Fri, 13 Dec 2019 at 10:45, Pierre Neidhardt <mail@HIDDEN> wrote:

> I tried it on two recent commits
> (including eb8aad6a23442cf7b23e0df88b89b4cd030dfbf5) and I get

Is it a pushed commit? Or a local one?

[...]

> Any idea?

I have no idea. It can only propose to try to reproduce. If you send
what is your Guix commit (to know in which environment you run) and
your Git commit in which you run "make as-derivation".


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 13 Dec 2019 09:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 13 04:45:56 2019
Received: from localhost ([127.0.0.1]:33038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifhWG-00066H-EU
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2019 04:45:56 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:42475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ifhWE-000666-UW
 for 38528 <at> debbugs.gnu.org; Fri, 13 Dec 2019 04:45:56 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 11A0A40005;
 Fri, 13 Dec 2019 09:45:52 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
In-Reply-To: <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
 <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
Date: Fri, 13 Dec 2019 10:45:51 +0100
Message-ID: <875zikd0ds.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 38528
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I tried it on two recent commits
(including eb8aad6a23442cf7b23e0df88b89b4cd030dfbf5) and I get

=2D-8<---------------cut here---------------start------------->8---
$ guix environment guix -- make as-derivation
Building Guix in Guix...
warning: 'nix-server-socket' is deprecated, use 'store-connection-socket' i=
nstead
warning: 'nix-server-major-version' is deprecated, use 'store-connection-ma=
jor-version' instead
warning: 'nix-server-minor-version' is deprecated, use 'store-connection-mi=
nor-version' instead
fetching path `/gnu/store/qa3sp0f1qpqhrzb0v9y5kfgyr61dh70r-xz-5.2.4.tar.gz'=
...
building path(s) `/gnu/store/aqv75406kbs6s1sp3z9x5fbl9c7y7psn-ld-wrapper-bo=
ot0-0'
Downloading https://ci.guix.gnu.org/nar/qa3sp0f1qpqhrzb0v9y5kfgyr61dh70r-xz=
-5.2.4.tar.gz...
building "/gnu/store/w8fw0vzvai0yw5akfq3gd94avb7jvd4h-binutils-cross-boot0-=
2.32"/bin/ld wrapper in "/gnu/store/aqv75406kbs6s1sp3z9x5fbl9c7y7psn-ld-wra=
pper-boot0-0"
Backtrace:
In ice-9/boot-9.scm:
 157: 11 [catch #t #<catch-closure c900a0> ...]
In unknown file:
   ?: 10 [apply-smob/1 #<catch-closure c900a0>]
In ice-9/boot-9.scm:
  63: 9 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 8 [eval # #]
In ice-9/boot-9.scm:
2320: 7 [save-module-excursion #<procedure cc1b80 at ice-9/boot-9.scm:3961:=
3 ()>]
3966: 6 [#<procedure cc1b80 at ice-9/boot-9.scm:3961:3 ()>]
1645: 5 [%start-stack load-stack #<procedure cbd2e0 at ice-9/boot-9.scm:395=
7:10 ()>]
1650: 4 [#<procedure cc3060 ()>]
In unknown file:
   ?: 3 [primitive-load "/gnu/store/7pcp12416a7gjfm18pk87hradjgrnnrz-ld-wra=
pper-boot0-0-guile-builder"]
In ice-9/eval.scm:
 387: 2 [eval # ()]
 432: 1 [eval # #]
In unknown file:
   ?: 0 [copy-file "/gnu/store/2p4rab987bknvsqm46rxkz7d55wyqpfy-ld-wrapper.=
in" ...]

ERROR: In procedure copy-file:
ERROR: In procedure copy-file: No such file or directory
builder for `/gnu/store/dvrl5vf6ghxx9w70gacrcamqaxbiwlrf-ld-wrapper-boot0-0=
.drv' failed with exit code 1
cannot build derivation `/gnu/store/f3ip8y1kw6py0hb597yr8mklsj7wxra2-bash-m=
inimal-5.0.7.drv': 1 dependencies couldn't be built
killing process 14973
cannot build derivation `/gnu/store/gf0ic28nrb8ydz89c5hmjzvs7ndg149n-binuti=
ls-2.32.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/f0zz87120k9sb88lijb87dcb0skw5vzz-bzip2-=
1.0.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s1x51d8rvl845pxsmgg865z4rw6fkvlc-coreut=
ils-8.31.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/1w2h1h84ir7hi27kgiyxm1kcfzv7yrc0-diffut=
ils-3.7.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/w88snqxx45n9m6iyhl491kwlcpjgmqfv-file-5=
.33.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/dnvs0wggv8gnk27qravhnssgprc6qndc-findut=
ils-4.6.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/33asax0rynrvqk9ay6z131ziibym2s9f-gawk-5=
.0.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s37yl9v9ivhlag4drlxwffjlcmy4yygj-gcc-7.=
4.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/501b6362yp7ng5cdpqg5z08j3c80wcgq-glibc-=
2.29.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/my7j43l4sspjwxva6gn8jslk5qyaplqi-gmp-6.=
1.2.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/02dfgh08n9zsa0gkvimh9675430frll7-grep-3=
.3.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/fnd0k2sdqnin6p1788qjbma37fg3f85n-guile-=
2.2.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/nnp7zxpnjk01zfqm9f4kvdk18g2008ka-gzip-1=
.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/z2ndd6klhz3kl2g048krf3mq576zq7cj-gzip-1=
.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/xxns752z4znp24c46l5aq8j0lvds9s07-libgc-=
7.6.12.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/v35m6i04n4qbkwbahi7pa89rrlzzr49w-libltd=
l-2.4.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/hm5i7xmvv40ds9ymnnqn4cy75jb9d9y4-libuni=
string-0.9.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/5ab03vwm2hkk24r0i3xgj2q13fzxn995-make-4=
.2.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/72g1a2nhn6h055fa2aqga7mgck0fqc12-patch-=
2.7.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/c9xax133y945rszbmax006jjsadvdiyg-sed-4.=
7.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/c8m06xvadb4rqa8znpf16xziamh3kc7l-tar-1.=
32.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/6lwh9va6krsazd53y4fpid8isv0lbz7g-xz-5.2=
.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/yxz3jnqi0scmyp70yg4w0mwqfr6n9n9w-ghosts=
cript-9.27.drv': 1 dependencies couldn't be built
error: build of `/gnu/store/yxz3jnqi0scmyp70yg4w0mwqfr6n9n9w-ghostscript-9.=
27.drv' failed
make: *** [Makefile:5712: as-derivation] Error 1
=2D-8<---------------cut here---------------end--------------->8---

Any idea?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl3zXdAACgkQm9z0l6S7
zH+rQwf+LDQNfCd0K5Gok97u8M/F+y46WeyuR2SL9T57a8nO/p1zyD6pb713SeSM
qv8W8CVvj2Ot8d/xRulNfpjoRKwKR5OYRGgw86RmIlPKj4h2ZZqtlFpcmWowSx2O
JFqN4TGHZ8j9IRDssEUO3+fjepgVghWnEBkFzCQX8XaP1Mddr6n/rHN/ceOXFGJj
rgkjleZDq1r8LChGm37Puwcd4TGFtNzSTh6F2LyRZxesh5qO1iBXbHdfrE7x+nIX
0MpGG1nB3Tp5SCj6GbOlKpoHJ50FnogRVM6HDgRu0gVGBzQQG2oMF0VzyxaVY//4
0sUu/EM4qLucq17+yLSRUAFOb0sgAA==
=EoZL
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 12 Dec 2019 15:27:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 12 10:27:20 2019
Received: from localhost ([127.0.0.1]:60825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifQN6-0007N2-LU
	for submit <at> debbugs.gnu.org; Thu, 12 Dec 2019 10:27:20 -0500
Received: from mail-qk1-f177.google.com ([209.85.222.177]:34342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ifQN5-0007Ml-Py
 for 38528 <at> debbugs.gnu.org; Thu, 12 Dec 2019 10:27:20 -0500
Received: by mail-qk1-f177.google.com with SMTP id d202so1925481qkb.1
 for <38528 <at> debbugs.gnu.org>; Thu, 12 Dec 2019 07:27:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=CNNx3Ys8ZBblduFDoYBlAWpQj1oy/MkMQHgbhXQV1Mw=;
 b=NEp7GNFqHpKCshtWIO5c8d42gQn136MA1RF0KiiSAYS0NNTVsJuLVi6oaIvzAd8BLU
 SDo4h5u5aoz8vBET17PrEikpezgZL9mQlHfjxWqq81P+Ljc//M7y2UNgUtEz9s4Pa8b6
 o9uDgQawVvcADVzP+1QwToLhPNAuJM40L4mcqalGAamXPBZqNDwP3Da75ggfS/04fCaC
 XUraD2CxsoPOrJnLZupqx66y5Pm9al7DjjJX7d9X4zO3fS/CGmBORYGZV8vpLxsKobHq
 D3ze16sa/E41EO2woX2hzX2zN/tnCTfY82Moh051p9OtDiaJ0z0ZAWG94TfoIEYdPBMq
 wdIA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=CNNx3Ys8ZBblduFDoYBlAWpQj1oy/MkMQHgbhXQV1Mw=;
 b=OXxkxGvYzkUTBMNHLldpfnhBX+UfzwGwwN2ET0yPodKBhAo6Rsvsi589emnbUaqc/g
 PwlTGyQUftwdpHqElA3K4MbjwZW4HN3Es8h01E0UKKbosq2D04jpAfiGJ5N2yA0GB4Iu
 sr9F3gV+zyA2oQs3gkkWWmero2t6lC4FUku0UpPbt0Y6Y7PMJuaf/0qVKLMzogmVPgwi
 UH4iqitw/0BoRRm3IIP8QCAv8cMBUjqjL1RYA5tBEsz1LymSlhgHz6lSKaOzqwovWaf8
 2fgbLqfWC0RC9rCI6YtVjMJo1FWUHifRMDJ4p+gqG739Vv3+Thie9wIbb4zpjnXCIglg
 sj2g==
X-Gm-Message-State: APjAAAXauuLtmEoEGdLpJurHoplke1HOm7b2VHUYVdXPztSw1TIYstrr
 aroSuv+oUG2l20nwP8o7AKnx0Pzn7qWqXAKxgd0=
X-Google-Smtp-Source: APXvYqyxpRpnaNOavU3Bd+NR133kD+zE5+FOggSimPWSTjzrpkQTngfvVZn1+kPTid1EfDI6BW8G2qODICvwfbyY1Eg=
X-Received: by 2002:a37:684a:: with SMTP id d71mr7860065qkc.201.1576164432814; 
 Thu, 12 Dec 2019 07:27:12 -0800 (PST)
MIME-Version: 1.0
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
In-Reply-To: <8736dren5o.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 12 Dec 2019 16:27:01 +0100
Message-ID: <CAJ3okZ3vZSdOAFqrptE2RdyD4MLB=DbMMqu6tbG4AWKOGmE3FA@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38528
Cc: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Pierre,

On Wed, 11 Dec 2019 at 01:12, Pierre Neidhardt <mail@HIDDEN> wrote:
>
> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
> > =E2=80=9Cmake as-derivation=E2=80=9D achieves more or less the same.
>
> Is this be good enough to test guix pull?

Have you tried to run the current test suite on the commit you
recently sent breaking "guix pull"?

(I do not remember which commit it was and who sent the fix. If you
indicate me the commit or patch or bug-number introducing the break of
guix pull, I can try.)

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 12 Dec 2019 13:12:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 12 08:12:25 2019
Received: from localhost ([127.0.0.1]:59172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ifOGX-00023r-1s
	for submit <at> debbugs.gnu.org; Thu, 12 Dec 2019 08:12:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ifOGU-00023Z-PT
 for 38528 <at> debbugs.gnu.org; Thu, 12 Dec 2019 08:12:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36397)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ifOGO-0000lP-CY; Thu, 12 Dec 2019 08:12:16 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=43166 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ifOGN-0001vr-Rj; Thu, 12 Dec 2019 08:12:16 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
 <8736dren5o.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 12 Dec 2019 14:12:14 +0100
In-Reply-To: <8736dren5o.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Wed, 11 Dec 2019 01:11:47 +0100")
Message-ID: <87imml8z81.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38528
Cc: 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Pierre Neidhardt <mail@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> =E2=80=9Cmake as-derivation=E2=80=9D achieves more or less the same.
>
> Is this be good enough to test guix pull?

It should be, though I noticed that Mark reported a bug recently so we
need to check.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 11 Dec 2019 00:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 10 19:11:52 2019
Received: from localhost ([127.0.0.1]:56751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iepbc-0005VH-8B
	for submit <at> debbugs.gnu.org; Tue, 10 Dec 2019 19:11:52 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:35599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iepba-0005V6-6b
 for 38528 <at> debbugs.gnu.org; Tue, 10 Dec 2019 19:11:51 -0500
Received: from bababa (lfbn-1-4156-76.w92-169.abo.wanadoo.fr [92.169.151.76])
 (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 9DBB1100004;
 Wed, 11 Dec 2019 00:11:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
In-Reply-To: <87v9qokssn.fsf@HIDDEN>
References: <87immqu8qw.fsf@HIDDEN> <87v9qokssn.fsf@HIDDEN>
Date: Wed, 11 Dec 2019 01:11:47 +0100
Message-ID: <8736dren5o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38528
Cc: 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> =E2=80=9Cmake as-derivation=E2=80=9D achieves more or less the same.

Is this be good enough to test guix pull?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl3wNEMACgkQm9z0l6S7
zH+PcggAjmKzr5sazfN1XNhok7p3Wn4geCpR9fCNyYW1sWCRJBei3zZma4pIuySR
Qegr2hHkNuAZEuWXJFbSkKQqtUtoTdjFT7nguHhUd1jFqrNEZ/MLLxKJajFyxmPo
VTccYlvJXcHFX5gAqD03LmB6ytHfz/1WipGMYmH5zKv4neVc9eu4uvXx2i/d2s4j
ArN7SjNLI/WZDhMHQHDA+6sE/Ljh91YEzprPPuHMYFxlVAokT9xX7JTVlEjBJoFN
sao2iXUbPmEyvzCmky92wxrJ7RcpIPB8gFTGcTcV6oDjOuifpfdANLWkN+vezDjH
8ZYnax+V9N1wBY31pH4UIMo4u9G9PA==
=rJb3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 10 Dec 2019 17:13:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 10 12:13:38 2019
Received: from localhost ([127.0.0.1]:56528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iej4s-0001MA-4C
	for submit <at> debbugs.gnu.org; Tue, 10 Dec 2019 12:13:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iej4p-0001Lx-S5
 for 38528 <at> debbugs.gnu.org; Tue, 10 Dec 2019 12:13:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55793)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iej4k-0007wG-Go; Tue, 10 Dec 2019 12:13:30 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=53702 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iej4j-0004N8-UM; Tue, 10 Dec 2019 12:13:30 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
References: <87immqu8qw.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 20 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 10 Dec 2019 18:13:28 +0100
In-Reply-To: <87immqu8qw.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Sun, 08 Dec 2019 16:39:35 +0100")
Message-ID: <87v9qokssn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38528
Cc: 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Pierre Neidhardt <mail@HIDDEN> skribis:

> The current way to do it is to run
>
>   guix pull --url=3D/path/to/checkout --profile=3D/tmp/guix.master

=E2=80=9Cmake as-derivation=E2=80=9D achieves more or less the same.

Now, as you know, this can be CPU-intensive, so I=E2=80=99m afraid we cannot
have =E2=80=9Cmake check=E2=80=9D do that systematically.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at 38528 <at> debbugs.gnu.org:


Received: (at 38528) by debbugs.gnu.org; 8 Dec 2019 21:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 16:00:06 2019
Received: from localhost ([127.0.0.1]:52293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie3ew-0001Ta-2L
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 16:00:06 -0500
Received: from mail-qt1-f182.google.com ([209.85.160.182]:40531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ie3et-0001Qr-Nl
 for 38528 <at> debbugs.gnu.org; Sun, 08 Dec 2019 16:00:04 -0500
Received: by mail-qt1-f182.google.com with SMTP id t17so6838897qtr.7
 for <38528 <at> debbugs.gnu.org>; Sun, 08 Dec 2019 13:00:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9LpkK7Zc0hAPHlM0TQgHMhZSH3+6QrBgmuU2C1a7YzY=;
 b=hcLZXOLdw3Im+uwLPSNE9Y0iRRcKTAfFVN77zPmKjt4ZdMOOQfHBcgJcZj3HDvIsUJ
 sKqWeVSlVxRKnCEkPWDC6TlWb1jqXa+RDcp/e27da4pd9FdA1pZq6CRNdzitgyXZCFc0
 W+cy75bImfdbLa1KHprUjZfqYyEl3rJACyYauJY0M1gQB2RwLJ8CVG7Oapn2gporVTvY
 XCWkRQ05+V8oYtR4B2yU5QlWSK5phoLnyyW/2gz7SRTvbo3oxuvSmlvONaYDnObTx8qg
 oMuFoQD62hsU0MJFCeYXyUGCFwM1q454/W1kdoIIBFkeP4ozdVrBi0IJRb3UjaNYlOJS
 8/Jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9LpkK7Zc0hAPHlM0TQgHMhZSH3+6QrBgmuU2C1a7YzY=;
 b=U2cg42PaqjLxLKrzGndd1YUTnj1P+4PczDa2hgKJod6b35vYvNQqrTBmQ3GBt0CVEr
 l0209g8x63rxXDJEN91NsdP+bbcl2Ne0wepydjMC8V9CPZwy9rfG+lYfC5WWVeta4Ygk
 DU3sNVBd6e2VfxiRYhCk+7iII8XXMWJBL8UfIyOMSqsr5ov5ZdP1322LCPjEq3PsGgHN
 uxqLubwrIc89jU8cxXm10y0i3ztFkqvvjlnTnJ5XXRE9mJmb6aU80wgxfc15VReQMPuV
 GXzmPkin4l1aJUbRvhEhGVHVrM0qvAGnEdeKm+A13G/lqX2IsI4MberHAQG8L5UpbxqM
 0/3w==
X-Gm-Message-State: APjAAAXV0GDBu91GjweGP6ttQtz0klvbs0drX5WEKUryqe1P5MALKMMF
 So+8fF7cmEYjZYAJmCR7J2FGSLYxNvQKCEBvP+tq2Rqx
X-Google-Smtp-Source: APXvYqzPkk/K++z+29j9GmEqL2ZKXLsOAfZ2nAyjBZfLJXXkVw2PKsGvzU+sK/AQAv9w6ddLIReedJm/qgmK2kZPBMA=
X-Received: by 2002:aed:2866:: with SMTP id r93mr22653787qtd.354.1575838797097; 
 Sun, 08 Dec 2019 12:59:57 -0800 (PST)
MIME-Version: 1.0
References: <87immqu8qw.fsf@HIDDEN>
In-Reply-To: <87immqu8qw.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Sun, 8 Dec 2019 21:59:41 +0100
Message-ID: <CAJ3okZ166Rc+ucAAnL5o+o9YwEGXaiKDLOWZ+tdmge+MDf7UTQ@HIDDEN>
Subject: Re: bug#38528: Add test for `guix pull'
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38528
Cc: 38528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Thank Pierre to raise this issue.

On Sun, 8 Dec 2019 at 16:40, Pierre Neidhardt <mail@HIDDEN> wrote:

> The current way to do it is to run
>
>   guix pull --url=/path/to/checkout --profile=/tmp/guix.master

When I put that in a test -- say tests/guix-pull.sh -- troubles
arises... The main one appears because there is no user (chroot
environment I guess). Currently, Guix looks at $USER and $LOGNAME then
goes in "default" and applies "Migrating" profile code. Note that it
appears too with non login shell as reported here [1], perhaps not
related.

[1] https://lists.gnu.org/archive/html/guix-devel/2019-12/msg00021.html

What is the best:
    - set manually the variable USER to `whoami`?
or - change to scheme code to call `whoami`? Does Guile expose that?


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2019 15:39:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 10:39:43 2019
Received: from localhost ([127.0.0.1]:52066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idyet-0007ri-AB
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:39:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:34697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1idyer-0007rb-TR
 for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:39:42 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52733)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1idyeq-0002JI-OO
 for bug-guix@HIDDEN; Sun, 08 Dec 2019 10:39:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1idyep-00034n-P5
 for bug-guix@HIDDEN; Sun, 08 Dec 2019 10:39:40 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:45693)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1idyep-0002r9-F9
 for bug-guix@HIDDEN; Sun, 08 Dec 2019 10:39:39 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-1-4156-76.w92-169.abo.wanadoo.fr [92.169.151.76])
 (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id D4F40FF805
 for <bug-guix@HIDDEN>; Sun,  8 Dec 2019 15:39:36 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Add test for `guix pull'
Date: Sun, 08 Dec 2019 16:39:35 +0100
Message-ID: <87immqu8qw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.199
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

It would be nice to add a `guix pull' test as part of the test suite.
This was discussed in bug #38455.

The test should run `guix pull' but not apply change any symlink.

Note that `guix pull --dry-run' does not catch enough errors.

The current way to do it is to run

  guix pull --url=3D/path/to/checkout --profile=3D/tmp/guix.master

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl3tGTcACgkQm9z0l6S7
zH/iDgf+PcYoftt1YVncHA5Mu0TB9fcdkTZjN2DL0PjL1wqRT9wFmYLrPKKMSqSo
mUYA9ClUJGjVMekrgg5eC9YqoIY0/bMNVvhBCFZIddlW7v37+Qz4K4wkAfN9Jum6
wcKJeCAw2OdiXatFVcRkysG6+pVEnlD2DakW1IpfSBDZ9RqAH0nP/G2FZMWLxUHI
zoH0r5+xo1pb/XXEwmtXaZ2K5TnSJtQlNm7u1aE3wtOseGWLD78c30TGRINpQqIx
J7qeyN43Tjt/avN1ioSNQQm6/Vb1UGkujyknK8ItvUWtgjf0gRnt0eBa9vie1AXa
1ohMTUrg2+bR5eKdY1UciRTvCMnJOQ==
=ktba
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38528; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Dec 2019 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.